Page MenuHomePhabricator

[Story] Display different formats of a shape expression
Closed, ResolvedPublic5 Story Points

Description

The latest version of a shape expression should be displayed in plain text so that it can be used in local Shex parsers / validators

Acceptance Criteria

  • A user should be able to directly get “just the raw schema” without any surrounding HTML / window dressing

Notes

Event Timeline

noarave created this task.Jan 22 2019, 1:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2019, 1:27 PM
noarave renamed this task from Display shape expressions' versions to Display different versions of a shape expression.Jan 22 2019, 1:40 PM
Michael updated the task description. (Show Details)Feb 14 2019, 10:18 AM

This could either be implemented as a special page (e. g. Special:SchemaText/O1, similar to Special:EntityData/Q1) or as an action (e. g. index.php?action=schematext&title=Schema:O1). I guess a special page is slightly more convenient because you don’t need to know about the Schema: namespace, and it’s also more discoverable (via Special:SpecialPages).

Lucas_Werkmeister_WMDE set the point value for this task to 5.

Decision: we’ll go with a special page. The name should probably start with “Schema” so that it’s grouped with other schema things on the list of special pages; it can be something other than “SchemaText” though.

Lucas_Werkmeister_WMDE renamed this task from Display different versions of a shape expression to Display different formats of a shape expression.Feb 28 2019, 2:05 PM
Lucas_Werkmeister_WMDE renamed this task from Display different formats of a shape expression to [Story] Display different formats of a shape expression.Feb 28 2019, 2:18 PM
Michael claimed this task.Mar 4 2019, 1:16 PM
Michael moved this task from Backlog to Doing on the Shape Expressions Sprint 3 board.
Michael moved this task from 🗃️ Incoming to ⏳ In progress on the User-Michael board.

Change 494237 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseSchema@master] Add special page to get schema text only

https://gerrit.wikimedia.org/r/494237

Change 494633 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/WikibaseSchema@master] Special:SchemaText: Allow CORS access from everywhere

https://gerrit.wikimedia.org/r/494633

Change 494237 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add special page to get schema text only

https://gerrit.wikimedia.org/r/494237

Change 494633 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Special:SchemaText: Allow CORS access from everywhere

https://gerrit.wikimedia.org/r/494633

Where can I test this now? :)

Where can I test this now? :)

There is a new special page: https://wikidata-shex.wmflabs.org/wiki/Special:SchemaText 🙂

Lydia_Pintscher closed this task as Resolved.Mar 11 2019, 9:52 AM
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 3 board.

Thanks!
\o/